package com.compomics.util.experiment.biology.ions;

/**
 * This class contains convenience methods for the handling of charges.
 *
 * @author Marc Vaudel
 * @author Harald Barsnes
 */
public class Charge {

    /**
     * Empty default constructor.
     */
    public Charge() {
    }

    /**
     * Returns a string representing the charge. For example 2+.
     *
     * @param value the value of the charge
     *
     * @return charge as a string
     */
    public static String toString(int value) {

        if (value == 0) {
            return "0";
        }

        return value > 0 ? value + "+" : value + "-";
    }

    /**
     *
     * Returns the charge as a string of + or -. One for each charge. A charge
     * of +1 however returns the empty string.
     *
     * @param value the value of the charge
     *
     * @return the charge as a string of +
     */
    public static String getChargeAsFormattedString(int value) {

        if (value == 1) {
            return "";
        }

        String temp = "";

        for (int i = 0; i < Math.abs(value); i++) {
            if (value > 0) {
                temp += "+";
            } else {
                temp += "-";
            }
        }

        return temp;
    }
}
